Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.trust
Class SecurityTokenStore

    java.lang.Object
      org.apache.rahas.SimpleTokenStore
          org.wso2.wsas.trust.SecurityTokenStore

All Implemented Interfaces:
  org.apache.rahas.TokenStorage

    public class SecurityTokenStore

extends org.apache.rahas.SimpleTokenStore

Field Summary

Fields inherited from class org.apache.rahas.SimpleTokenStore
`tokens`

Fields inherited from interface org.apache.rahas.TokenStorage
`TOKEN_STORAGE_KEY`

Constructor Summary
`SecurityTokenStore()`

Method Summary
`void` | `add(org.apache.rahas.Token token)`
`void` | `update(org.apache.rahas.Token token)`

Methods inherited from class org.apache.rahas.SimpleTokenStore
`getCancelledTokens, getExpiredTokens, getIdFromSTR, getRenewedTokens, getToken, getTokenIdentifiers, getValidTokens, processTokenExpiry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityTokenStore

    public SecurityTokenStore()
                       throws org.apache.rahas.TrustException

Throws:
  `org.apache.rahas.TrustException`

Method Detail

### add

    public void add(org.apache.rahas.Token token)
             throws org.apache.rahas.TrustException

  Specified by:
    `add` in interface `org.apache.rahas.TokenStorage`
  Overrides:
    `add` in class `org.apache.rahas.SimpleTokenStore`
  Throws:
    `org.apache.rahas.TrustException`

### update

    public void update(org.apache.rahas.Token token)
                throws org.apache.rahas.TrustException

  Specified by:
    `update` in interface `org.apache.rahas.TokenStorage`
  Overrides:
    `update` in class `org.apache.rahas.SimpleTokenStore`
  Throws:
    `org.apache.rahas.TrustException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD